Articles in this section

How to Change Font Color of Swimlane Header in Javascript Diagram?

Header is the primary element for swimlanes. The header property of the swimlane allows you to define its textual description and to customize its appearance in JavaScript Diagram.
To customize the font color of the swimlane header, you can use the color property within the style property within the swimlane header annotation. This allows greater flexibility in designing your diagrams.

Refer to the below code snippet for customization of font color in swimlane header

header: {
         annotation: {
           content: 'SALES PROCESS FLOW CHART',
           // Update font color for swimlane header
           style: { fill: 'black', color: 'yellow' },
         },
       }, 

The below code example shows how to customize the font color of swimlane header at run time using color picker when the swimlane is selected

  var node = [
 {
   shape: {
     type: 'SwimLane',
     orientation: 'Horizontal',
     // Customize the swimlane header
     header: {
       annotation: {
         content: 'SALES PROCESS FLOW CHART',
         // Update font color for swimlane header
         style: { fill: 'black', color: 'yellow' },
       },
     },
     lanes: [
       {
         id: 'stackCanvas1',
         height: 100,
       },
     ],
     phases: [
       {
         id: 'phase1',
         offset: 170,
         header: { annotation: { content: 'Phase' } },
       },
     ],
     phaseSize: 20,
   },
   offsetX: 300,
   offsetY: 200,
   height: 200,
   width: 350,
 },
];

// Initialize Diagram component
var diagram = new ej.diagrams.Diagram({
 width: '100%',
 height: '600px',
 nodes: node,
});
diagram.appendTo('#element');

// Update font color for swimlane header at run time using color picker
document.getElementById('fontColor').onchange = function () {
 if(diagram.selectedItems.nodes[0] && diagram.selectedItems.nodes[0].shape.type == "SwimLane")
 {
   let currentColor = document.getElementById('fontColor').value;
   diagram.selectedItems.nodes[0].shape.header.annotation.style.color = currentColor;
   diagram.dataBind();
 }
};

Sample : Click here

Conclusion
I hope you enjoyed learning how to change the font color of the swimlane header in JavaScript Diagram.

You can refer to our JavaScript Diagram feature tour page to know about its other groundbreaking feature representations and documentation, and how to quickly get started for configuration specifications. You can also explore our JavaScript Diagram example to understand how to create and manipulate data.
For current customers, you can check out our components from the License and Downloads page. If you are new to Syncfusion®, you can try our 30-day free trial to check out our other controls.
If you have any queries or require clarifications, please let us know in the comments section below. You can also contact us through our support forums, Direct-Trac, or feedback portal. We are always happy to assist you!

Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Access denied
Access denied

Articles in this section

How to Change Font Color of Swimlane Header in React Diagram?

This article explains how to change the font color of the Swimlane header in React Diagram. Header is the primary element for swimlanes. The header property of a swimlane allows you to define its textual description and customize its appearance in React Diagram.

To customize the font color of the swimlane header, you can use the color property within the style property of the swimlane header annotation. This provides greater flexibility in designing your diagrams.

Refer to the code snippet below for customization of the font color in the swimlane header:

header: {
         annotation: {
           content: 'SALES PROCESS FLOW CHART',
           // Update font color for swimlane header
           style: { fill: 'black', color: 'yellow' },
         },
       }, 

The below code example below demonstrates how to customize the font color of the swimlane header at runtime using a color picker when the swimlane is selected:

let node = [
 {
   shape: {
     type: 'SwimLane',
     orientation: 'Horizontal',
     // Customize the swimlane header
     header: {
       annotation: {
         content: 'SALES PROCESS FLOW CHART',
         // Update font color for swimlane header
         style: { fill: 'black', color: 'yellow' },
       },
     },
     lanes: [
       {
         id: 'stackCanvas1',
         height: 100,
       },
     ],
     phases: [
       {
         id: 'phase1',
         offset: 170,
         header: { annotation: { content: 'Phase' } },
       },
     ],
     phaseSize: 20,
   },
   offsetX: 300,
   offsetY: 200,
   height: 200,
   width: 350,
 },
];
let diagramInstance;
// Initialize Diagram component
function App() {
 // Update font color for swimlane header at runtime using a color picker
 const fontColor = () => {
 if(diagramInstance.selectedItems.nodes[0] && diagramInstance.selectedItems.nodes[0].shape.type == "SwimLane")
 {
   let currentColor = document.getElementById('fontColor').value;
   diagramInstance.selectedItems.nodes[0].shape.header.annotation.style.color = currentColor;
   diagramInstance.dataBind();
 }
 };
 return (
   <div>
     <input type="color" id="fontColor" onChange={fontColor} />
     <label>Change header color</label>
     <DiagramComponent
       id="container"
       ref={(diagram) => (diagramInstance = diagram)}
       width={'100%'}
       height={'600px'}
       nodes={node}
     />
   </div>
 );
}

Refer to the working sample for additional details and implementation: Click here

Conclusion

We hope you enjoyed about how to change font color of swimlane header in React Diagram.

You can refer to our React Diagram feature tour page to learn about its other groundbreaking feature representations and documentation, and how to quickly get started with configuration specifications. You can also explore our React Diagram example to understand how to create and manipulate data.

For current customers, you can check out our components from the License and Downloads page. If you are new to Syncfusion®, you can try our 30-day free trial to check out our other controls.

If you have any queries or require clarifications, please let us know in the comments section below. You can also contact us through our support forums, BoldDesk Support, or feedback portal. We are always happy to assist you!

Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Access denied
Access denied